#!/bin/bash

check_typo () {
    grep -nri --include \*.tex "${1}" | grep -v ":%" | grep -v "newacronym" | grep -i --color=always "${1}"
}

check_typo "application"
check_typo "run-time"
check_typo "behaviour"
check_typo "ground-truth"
check_typo "groundtruth"
check_typo "seperator"

exit 0
