# README

## usage

The makefile contains build- and clean-instructions. Additionally, it contains a command to first check if everything is committed, then build and tag the pdf with the current datetime and git commit hash.

## setup

- ubuntu 22.04
    - Recent releases are needed, for latexmk on ubuntu this can be found at https://launchpad.net/ubuntu/+source/latexmk/1:4.77-1/+build/23584396
    - texlive

## other notes
- latexmk 4.77 is only available in ubuntu 22.10
- texlive doesn't have recent deb files
- dockers
    - arkark/latexmk is outdatad 
        - latexmk 4.74b
        - last commit 2021-05 https://github.com/arkark/latexmk-docker
    - nopreserveroot/texlive-full 
        - unknown repo
    - texlive/texlive
        - weekly updates
        - https://gitlab.com/islandoftex/images/texlive
- usenix template uses microtype, but the latter requires pdftex and doesn't work with xelatex :sob:
